Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.dbbc
Class DBBC.CodeGenerator

    java.lang.Object
      avrora.core.isdl.gen.PrettyPrinter
          avrora.core.isdl.gen.InterpreterGenerator
              avrora.sim.dbbc.DBBC.CodeGenerator

All Implemented Interfaces:
  Architecture.EncodingVisitor, Architecture.InstrVisitor, Architecture.OperandVisitor, Architecture.SubroutineVisitor, Architecture.Visitor, CodeVisitor, StmtVisitor

Enclosing class:
  DBBC

protected class DBBC.CodeGenerator
extends InterpreterGenerator

Nested Class Summary

Nested classes inherited from class avrora.core.isdl.gen.InterpreterGenerator
`InterpreterGenerator.ArrayMap, InterpreterGenerator.GetterSetterMap, InterpreterGenerator.IORegMap`

Nested classes inherited from class avrora.core.isdl.gen.PrettyPrinter
`PrettyPrinter.DefaultMapRep, PrettyPrinter.MapRep`

Nested classes inherited from class avrora.core.isdl.ast.StmtVisitor
`StmtVisitor.DepthFirst`

Nested classes inherited from class avrora.core.isdl.ast.CodeVisitor
`CodeVisitor.Default, CodeVisitor.DepthFirst`

Field Summary

Fields inherited from class avrora.core.isdl.gen.InterpreterGenerator
`architecture, mapMap, variableMap`

Fields inherited from class avrora.core.isdl.gen.PrettyPrinter
`printer`

Method Summary
`protected java.lang.String` | `getMethod(java.lang.String s)`
`protected java.lang.String` | `getVariable(Token t)`
`protected java.lang.String` | `newTemp()`
`void` | `visit(DeclStmt s)`

Methods inherited from class avrora.core.isdl.gen.InterpreterGenerator
`andString, emitAnd, emitBinOp, emitCall, emitCall, emitCall, generate, getMapRep, initializeMaps, initializeOperandMap, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class avrora.core.isdl.gen.PrettyPrinter
`binop, inner, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visitExprList, visitStmtList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### visit

    public void visit(DeclStmt s)

  Specified by:
    `visit` in interface `StmtVisitor`
  Overrides:
    `visit` in class `PrettyPrinter`

### newTemp

    protected java.lang.String newTemp()

### getMethod

    protected java.lang.String getMethod(java.lang.String s)

  Overrides:
    `getMethod` in class `PrettyPrinter`

### getVariable

    protected java.lang.String getVariable(Token t)

  Overrides:
    `getVariable` in class `InterpreterGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD